div.sticky {
    position: sticky;
    top: 0;
    background-color: var(--primary-background);
    z-index: 20;
}

.menu-bar-wrapper {
    position: sticky;
    top: 0;
    display: flex;
    height: 72px;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 16px 32px;
    border-bottom: 1px solid var(--primary-border);
    background: var(--primary-background);
}

a.top-button:hover span {
    cursor: pointer;
}

.filters {
    position: fixed;
    top: 50px;
    left: 290px;
    right: 32px;
    padding-top: 16px;
    padding-bottom: 16px;
    padding-left: 32px;
    background: var(--secondary-background);
    z-index: 1;
}

@media screen and (max-width: 992px) {
    .filters {
        padding: 0;
        left: 0;
        right: 0;
        top: 112px;
    }
}

.page-control-buttons {
    display: flex;
    position: absolute;
    right: 10px;
    align-items: center;
}

.page-control-buttons .control-button+.control-button {
    margin-left: 5px;
}

#page-search-input {
    position: fixed;
    top: 58px;
    right: 3px;
    width: 450px;

    /* Display animation */
    transform-origin: left;
    transform: scaleX(0) scaleY(0);
    transition:
        transform 0.3s cubic-bezier(0.4, 0, 0.2, 1),
        opacity 0.3s;
    opacity: 0;
    z-index: 1000;
}

#page-search-input.visible {
    display: block;
    opacity: 1;
    transform: scaleX(1) scaleY(1);
}

#page-search-count {
    display: none;

    position: fixed;
    top: 58px;
    right: 22px;
    height: 32px;
    color: #bbb;
    font-size: 0.9em;
    line-height: 45px;
    pointer-events: none;
    user-select: none;
    z-index: 1001;
    background: transparent;
}

#page-search-next-btn {
    display: none;

    position: fixed;
    top: 62px;
    right: 65px;
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
    color: #bbb;
    font-size: 25px;
    z-index: 1002;
}

#page-search-input.visible ~ #page-search-next-btn,
#page-search-input.visible ~ #page-search-count {
    display: block;
}


/* The switch - the box around the slider */
.switch {
    position: relative;
    width: 30px;
    height: 17px;
    margin-right: 5px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 13px;
    width: 13px;
    left: 3px;
    bottom: 2px;
    background-color: white;
    transition: .4s;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    transform: translateX(11px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

@media screen and (max-width: 992px) {
    .menu-bar-wrapper {
        height: 56px;
        padding: 16px 5px;
    }

    div.sticky {
        top: 56px;
    }

    #page-search-input {
        max-width: 98vw;
    }
}
